[wingide-users] Fix debugger bug that prevented QThread instances from being created?

Wingware Support support at wingware.com
Thu Apr 12 08:43:56 MDT 2012


Else Popelse wrote:
> first off.. thanks for the quick fix -
> although I'm getting different errors right now,
> so that I still couldn't run my projects and had
> to revert to 4.1.3 again.
> ...
> And this is the error I was getting for the not working ones:
> File "C:\src\ide\bin\2.6\src/debug/tserver\dbgutils.pyc", line 950, in __call__
> TypeError: keyword arguments are not supported
>
> Note that directly importing QThread seems to be a bugger?

For the record:  This is a problem when using older PyQt4 versions like 
4.4.3.  It will be fixed in Wing 4.1.6.  If anyone else runs into it, 
please email us and I can provide a patch.  I'm not releasing the patch 
to all users because it has to be applied manually and I think this bug 
will be rare since most people will have a new enough PyQt4 not to run 
into it.

Thanks,

-- 

Stephan Deibel
Wingware | Python IDE
Advancing Software Development

www.wingware.com


More information about the wingide-users mailing list